task region {
	File sub_vcf
	File sub_vcf_idx

	File satellite
	File simple_repeat
	File SINE
	File LINE
	File LTR
	File low_complexity
	File SD
	File ins_breakpoint
	File del_breakpoint
	File mhc

	String sample_name
	String tag
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		rtg vcffilter -i ${sub_vcf} -o ${sample_name}.${tag}.satellite.vcf.gz --include-bed=${satellite}

		rtg vcffilter -i ${sub_vcf} -o ${sample_name}.${tag}.simple_repeat.vcf.gz --include-bed=${simple_repeat}

		rtg vcffilter -i ${sub_vcf} -o ${sample_name}.${tag}.SINE.vcf.gz --include-bed=${SINE}

		rtg vcffilter -i ${sub_vcf} -o ${sample_name}.${tag}.LINE.vcf.gz --include-bed=${LINE}

		rtg vcffilter -i ${sub_vcf} -o ${sample_name}.${tag}.LTR.vcf.gz --include-bed=${LTR}

		rtg vcffilter -i ${sub_vcf} -o ${sample_name}.${tag}.low_complexity.vcf.gz --include-bed=${low_complexity}

		rtg vcffilter -i ${sub_vcf} -o ${sample_name}.${tag}.SD.vcf.gz --include-bed=${SD}

		rtg vcffilter -i ${sub_vcf} -o ${sample_name}.${tag}.ins_breakpoint.vcf.gz --include-bed=${ins_breakpoint}

		rtg vcffilter -i ${sub_vcf} -o ${sample_name}.${tag}.del_breakpoint.vcf.gz --include-bed=${del_breakpoint}

		rtg vcffilter -i ${sub_vcf} -o ${sample_name}.${tag}.mhc.vcf.gz --include-bed=${mhc}


		rtg vcfstat ${sample_name}.${tag}.satellite.vcf.gz > ${sample_name}.${tag}.satellite.vcfstat.txt
		rtg vcfstat ${sample_name}.${tag}.simple_repeat.vcf.gz > ${sample_name}.${tag}.simple_repeat.vcfstat.txt
		rtg vcfstat ${sample_name}.${tag}.SINE.vcf.gz > ${sample_name}.${tag}.SINE.vcfstat.txt
		rtg vcfstat ${sample_name}.${tag}.LINE.vcf.gz > ${sample_name}.${tag}.LINE.vcfstat.txt
		rtg vcfstat ${sample_name}.${tag}.LTR.vcf.gz > ${sample_name}.${tag}.LTR.vcfstat.txt
		rtg vcfstat ${sample_name}.${tag}.low_complexity.vcf.gz > ${sample_name}.${tag}.low_complexity.vcfstat.txt
		rtg vcfstat ${sample_name}.${tag}.SD.vcf.gz > ${sample_name}.${tag}.SD.vcfstat.txt
		rtg vcfstat ${sample_name}.${tag}.ins_breakpoint.vcf.gz > ${sample_name}.${tag}.ins_breakpoint.vcfstat.txt
		rtg vcfstat ${sample_name}.${tag}.del_breakpoint.vcf.gz > ${sample_name}.${tag}.del_breakpoint.vcfstat.txt
		rtg vcfstat ${sample_name}.${tag}.mhc.vcf.gz > ${sample_name}.${tag}.mhc.vcfstat.txt


	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File satellite_vcf = "${sample_name}.${tag}.satellite.vcf.gz"
		File simple_repeat_vcf = "${sample_name}.${tag}.simple_repeat.vcf.gz"
		File SINE_vcf = "${sample_name}.${tag}.SINE.vcf.gz"
		File LINE_vcf = "${sample_name}.${tag}.LINE.vcf.gz"
		File LTR_vcf = "${sample_name}.${tag}.LTR.vcf.gz"
		File low_complexity_vcf = "${sample_name}.${tag}.low_complexity.vcf.gz"
		File SD_vcf = "${sample_name}.${tag}.SD.vcf.gz"
		File ins_breakpoint_vcf = "${sample_name}.${tag}.ins_breakpoint.vcf.gz"
		File del_breakpoint_vcf = "${sample_name}.${tag}.del_breakpoint.vcf.gz"
		File mhc_vcf = "${sample_name}.${tag}.mhc.vcf.gz"
		File satellite_stat = "${sample_name}.${tag}.satellite.vcfstat.txt"
		File simple_repeat_stat = "${sample_name}.${tag}.simple_repeat.vcfstat.txt"
		File SINE_stat = "${sample_name}.${tag}.SINE.vcfstat.txt"
		File LINE_stat = "${sample_name}.${tag}.LINE.vcfstat.txt"
		File LTR_stat = "${sample_name}.${tag}.LTR.vcfstat.txt"
		File low_complexity_stat = "${sample_name}.${tag}.low_complexity.vcfstat.txt"
		File SD_stat = "${sample_name}.${tag}.SD.vcfstat.txt"
		File ins_breakpoint_stat = "${sample_name}.${tag}.ins_breakpoint.vcfstat.txt"
		File del_breakpoint_stat = "${sample_name}.${tag}.del_breakpoint.vcfstat.txt"
		File mhc_stat = "${sample_name}.${tag}.mhc.vcfstat.txt"
	}
}