import "./tasks/in_out.wdl" as in_out
import "./tasks/region.wdl" as region


workflow {{ project_name }} {

	File vcf
	File vcf_idx

	File confidence_bed

	File satellite
	File simple_repeat
	File SINE
	File LINE
	File LTR
	File low_complexity
	File SD
	File ins_breakpoint
	File del_breakpoint
	File mhc

	String sample_name

	String docker
	String cluster_config
	String disk_size

	call in_out.in_out as in_out {
		input:
		vcf=vcf,
		vcf_idx=vcf_idx,
		confidence_bed=confidence_bed,
		sample_name=sample_name,
		docker=docker,
		cluster_config=cluster_config,
		disk_size=disk_size
	}

	call region.region as in_region {
		input:
		sub_vcf=in_out.in_vcf,
		sub_vcf_idx=in_out.in_vcf_idx,
		satellite=satellite,
		simple_repeat=simple_repeat,
		SINE=SINE,
		LINE=LINE,
		LTR=LTR,
		low_complexity=low_complexity,
		SD=SD,
		ins_breakpoint=ins_breakpoint,
		del_breakpoint=del_breakpoint,
		mhc=mhc,
		sample_name=sample_name,
		tag="inside",
		docker=docker,
		cluster_config=cluster_config,
		disk_size=disk_size
	}

	call region.region as out_region {
		input:
		sub_vcf=in_out.out_vcf,
		sub_vcf_idx=in_out.out_vcf_idx,
		satellite=satellite,
		simple_repeat=simple_repeat,
		SINE=SINE,
		LINE=LINE,
		LTR=LTR,
		low_complexity=low_complexity,
		SD=SD,
		ins_breakpoint=ins_breakpoint,
		del_breakpoint=del_breakpoint,
		mhc=mhc,
		sample_name=sample_name,
		tag="outside",
		docker=docker,
		cluster_config=cluster_config,
		disk_size=disk_size
	}

}

